Bem vindo ao site pauloferreira.pt. Encontrará aqui alguns temas relacionados com a sua atividade profissional. Divirta-se!

Divisão de um segmento de recta em n partes iguais

Escrito por Paulo Ferreira. Publicado em Profissional

Dado o segmento A-B, pode-se dividir o mesmo num numero qualquer de partes iguais.

 

Divis?o segmento recta

  1. Dado A-B, vai-se dividir em oito partes iguais (por exemplo).
  2. Traçar uma recta AX inclinada à vontade e marcar sobre ela oito segmentos iguais.
  3. Unir o ponto 8 com B
  4. Traçar as paralelas a XB, passando pelos pontos 7,6,5,4,3,2,1, que irão dividir o segmento dado, nas partes iguais pretendidas.

Representação de um prisma regular

Escrito por Paulo Ferreira. Publicado em Profissional

Representação de um prisma regular com as bases em planos projectantes

Começamos por considerar o prisma pentagonal regular, recto [GHIJLG1H1I1J1L1], com as bases em planos de topo como se mostra na imagem am baixo.

Prisma regular

 

Read More

Assim, determina-se as projecções de uma das bases através da construção, em rebatimento, do pentágono que a constitui. As arestas laterais do prisma, uma vez que ele é recto, são perpendiculares ao plano de topo, logo trata-se de rectas de frente. Desta forma podem assim, ser traçadas em VG em projecção vertical, o que permite determinar as projecções verticais dos vértices da base oposta.

O passo seguinte passa por determinar as projecções horizontais que se situam no mesmo afastamento dos vértices correspondentes da primeira base construída.

Após esta etapa, traça-se os contornos aparentes horizontal e vertical, constituídos pela linha envolvente de v cada uma das projecções do sólido, que são respectivamente [IHGG1H1I1I] e [HIJLL1G1H1H].

No que respeita às faces, duas são visiveis em projecção vertical, [HII1H1] e [GHH1G1] e na projecção horizontal são visiveis três faces e a base superior, respectivamente, [HII1H1], [IJJ1I1], [JLL1J1] e [G1H1I1J1L1]

Cilindro de revolução

Escrito por Paulo Ferreira. Publicado em Profissional

Cilindro de revolução com as bases em planos projectantes

Olhando para o cilindro de revolução, na imagem seguinte, com as bases existentes em planos projectantes horizontais, vamos representar as suas projecções.

Read More

As projecções das bases podem ser determinadas com base nos oito pontos do rebatimento, sendo neste exemplo, sobre o plano vertical. Este rebatimento deverá ser feito apenas para uma das bases, uma vez que a outra pode ser determinada pela marcação da VG das geratrizes, na projecção horizontal.

Com base nesta, determinam-se as projecções verticais dos oito pontos que têm a cota igual aos da base anteriormente determinada. Na imagem em baixo, apenas se representa os pontos 71 e 81 da segunda base para não prejudicar a visualização do desenho.

O contorno aparente vertical do cilindro é constituído pelas duas geratrizes de maior e menor cota, assim como pela restante linha envolvente constituída à esquerda pela metade esquerda da circunferência da base de maior afastamento e constituída à direita pela outra metade direita da circunferência da base de menor afastamento. Em projecção horizontal, o contorno aparente é constituído pelas geratrizes de maior e menor afastamento que passam, respectivamente pelos pontos 5 e 1 e pelas semicircunferências de maior cota das duas bases, sendo neste exemplo, reduzidas, em projecção, a dois segmentos de recta.

No que respeita às visibilidades, pode-se dizer que em projecção vertical, são apenas visiveis a base de maior afastamento e a metade, de maior afastamento, da superficie cilíndrica e em projecção horizontal, a metade de maior cota da mesma superficie.

Cilindro de revolu??o

Abraço,

Paulo Ferreira

Escalas de plotagem

Escrito por Paulo Ferreira. Publicado em Profissional

Quando se chega ao painel de plotagem é necessário escolher as escalas correctas aquando da impressão do nosso desenho.

Assim, deve-se ter em conta o seguinte:

  1. Sistema de unidades em utilização no desenho.
  2. Existência de uma "plotter" configurada.

Se o desenho tiver sido elaborado, baseado no pressuposto de que 1 unidade de desenho = 1 metro, podem-se utilizar as seguintes configurações:

ESCALA PLOT SCALE
1/20.000 .05=1
1/10.000 .1=1
1/5.000 .2=1
1/2.000 .5=1
1/1.000 1=1
1/800 1.25=1
1/600 1.66=1
1/500 2=1
1/400 2.5=1
1/300 3.3=1
1/250 4=1
1/200 5=1
1/100 10=1
1/50 20=1
1/25 40=1
1/20 50=1
1/10 100=1
1/2 500=1

Novos métodos de selecção de entidades

Escrito por Paulo Ferreira. Publicado em Profissional

Uma das primeiras coisas que aprendemos em cursos de AutoCAD (desde o famoso R14) é a questão de selecção e consequente escolha e filtragem de objectos.
No AutoCAD a questão de selecção de objectos envolve diversas particularidades, como a famosa selecção através de uma janela cheia ou tracejada.
No método da janela cheia, apenas os objectos que estão completamente dentro da janela são seleccionados e na janela tracejada o simples facto de encostar na janela adiciona o objecto na selecção.
Na nova versão (AutoCAD 2011) é possível usar outros métodos de selecção que proporcinam um trabalho mais rápido, ao adicionarmos entidades de desenho de maneira mais rápida.

Add selected: Com esta opção é possível adicionar uma entidade de desenho com base na selecção de objectos já existentes. Por exemplo, ao acionar essa ferramenta e seleccionar-mos uma polyline o AutoCAD já aciona o comando Pline e cria uma Polyline com as mesmas propriedades.

Select Similar: Aqui é possível criar algo semelhante a um filtro, em que indicamos um determinado objecto inicial que irá ser usado para seleccionar outras entidades de desenho com as mesmas propriedades. Isto é excelente para fazer ajustes em textos, por exemplo.

Selection Cycling: A mioria de nós já teve problemas para fazer uma selecção em objectos que estão sobrepostos, como linhas que representam viewports, contornos temporários de tramas, projecções, etc, pelo que certamente todos irão gostar do "Selection Cycling". Com esta opção activada, ao clicar sobre um objecto o AutoCAD 2011 mostra uma lista com os nomes dos objectos sobrepostos. Quem trabalha com desenho técnico sabe o quanto este tipo de ferramenta pode ajudar no AutoCAD, pois desenhos complexos geralmente apresentam muitos objectos sobrepostos.

Isolate Objects: Agora é possível activar uma opção que isola a visualização de objectos seleccionados de maneira muito parecida com o que acontece no 3ds Max. O AutoCAD 2011 permite trabalhar com esse recurso de maneira independente ao que se usa normalmente no controle de camadas, no gestor de layers.

 

Abraço,

Paulo Ferreira

Criar tipos de linhas

Escrito por Paulo Ferreira. Publicado em Profissional

TUTORIAL CRIAR TIPOS DE LINHAS EM AUTOCAD

 

  • Neste tutorial pretendo demonstrar uma forma expedita de criação de diferentes tipos de linha em Autocad.

Para o fazermos basta recorrer ao comando MKLTYPE que produz resultados rápidos (embora limitados tendo em conta as enormes possibilidades da edição do ficheiro acadiso.lin).

Comecemos então por abrir um ficheiro novo tendo como base o template acadiso.dwt (este tutorial foi baseado no Autocad 2009).

Após termos desenhado a linha e um texto por exemplo, que pretendemos definir e vir a utilizar em determinados desenhos, escrevemos na linha de comandos MKLTYPE.

Como exemplo, usei para este tutorial um segmento de recta e um texto tal como mostra a imagem seguinte.

De seguida surge-nos uma caixa onde deveremos escrever o nome do ficheiro (do tipo *.lin) e o local onde irá ser gravado. Recomenda-se a pasta Support do Autocad em Documents and Settings.

Em "Enter linetype name:" dá-mos um nome

Em "Enter linetype description:" escrevemos uma breve descrição do que será o tipo de linha a criar

Em "Specify starting point for line definition:" clicamos no inicio da linha como mostra a primeira imagem (start point).

Em "Specify ending point for line definition:" clicamos depois do texto (como na primeira imagem ou outra coisa qualquer), por exemplo.

Em "Select objects:" seleccionamos todas as entidades que pretendemos incluir no tipo de linha a criar (linha e texto para este exemplo).

Finalmente temos o nosso tipo de linha criado e pronto a ser usado, pelo que basta seleccionar o tipo correcto no menu de topo como mostra a imagem.

O resultado deste exemplo usado no tutorial é o que se apresenta na imagem seguinte:

Espero que este tutorial seja útil no dia-a-dia para quem usa o Autocad no exercício da sua profissão.

Para qualquer esclarecimento ou dúvida, usem o forum deste site.

Ass. Paulo Ferreira

Formula resolvente em lisp

Escrito por Paulo Ferreira. Publicado em Profissional

Tutorial - [Formula resolvente em Lisp]

Para quem já ouviu falar na fórmula resolvente, deixo aqui algumas linhas sobre a forma de conseguir que, com base na linguagem Lisp, consigamos por a funcionar esta formula. Para isso necessitamos do Autocad para executar um pequeno programa capaz de resolver esta equação. Ela permite resolver equações com uma variável, podendo essa variável ser elevada ao quadrado. A isto dá-se o nome de polinómio de segundo grau. Normalmente conhecemos a forma canónica desse polinómio da seguinte maneira: a.x?+b.x+c=0

Sendo a, b e c numeros reais, x é o valor que se pretende calcular de forma que a equação seja verdadeira.

Verificando-se a situação de os valores de a, b e c não serem todos diferentes de 0, a solução é sempre mais simples. Pelo contrário, se forem todos diferentes de 0,  é aqui que entra a chamada formula resolvente, que permite a produção de dois resultados, que verificam a condição. Em algumas situações podem surgir uma única solução, ou que não exista nenhuma solução real, sendo este o caso em que a solução dever ser sempre em numeros complexos.

A fórmula resolvente é conhecida desta forma:

 

 

As duas soluções dizem respeito cada uma, é utilização diferente de um sinal ( + ou - )

Ora,  é aqui que entra o Autolisp para resolver estas duas equações, que se representam da seguinte forma (mudando apenas o sinal):

  1. ( / (+ (-b) (sqrt (- (expt b 2) (*4 a c)))) (*2 a)))
  2. ( / (- (-b) (sqrt (- (expt b 2) (*4 a c)))) (*2 a)))

A diferença é visível no segundo operador, em que no primeiro caso é soma e no segundo é a subtracção. Em baixo deixo o código Lisp para a rotina poder ser carregada no Autocad:

(defun c:resolvente ( )

; primeiro, pedimos a introdução dos 3 coeficientes
(setq a (getreal "\n Introduza o valor de a :"))
(setq b (getreal "\n Introduza o valor de b :"))
(setq c (getreal "\n Introduza o valor de c :"))
; depois, aplicamos a fórmula que dá as duas soluções reais
(setq sol1 (/ (- (- b) (sqrt (- (expt b 2) (* 4 a c)))) (* 2 a)))
(setq sol2 (/ (+ (- b) (sqrt (- (expt b 2) (* 4 a c)))) (* 2 a)))
; por fim mostram-se os resultados
(prompt "\nsolução 1 = ")<br />?(prompt (rtos sol1 2 2))<br />?(prompt "\nsolu??o 2 = ")<br />?(prompt (rtos sol2 2 2))<br />?(prompt "\n")<br />)</span></p> <p>A resposta após introdução dos valores de a=2 b=4 e c=1 dá o seguinte:</p> <p>Command: <strong>resolvente<br /></strong>Introduza o valor de a :<span style="color: #ff6600;">2</span><br />Introduza o valor de b :<span style="color: #ff6600;">4<br /></span>Introduza o valor de c :<span style="color: #ff6600;">1

solução 1 = -1.71
solução 2 = -0.29
nil

Para que consiga "rodar" esta rotina deverá copiar o código em cima (a azul) e colocá-lo num ficheiro do tipo txt e grava-lo. De seguida mude a terminação txt para lsp. Finalmente deverá carregar a rotina no Autocad através do Menu Tools - Load Application.

Escreva resolvente na linha de comando e entre com os valores pedidos para que a solução seja apresentada.

Espero que este tutorial seja útil e até breve.

Criar um bloco dinâmico

Escrito por Paulo Ferreira. Publicado em Profissional

A construção de bocos dinâmicos deve seguir uma certa ordem por forma a não haver recuos no processo de criação da entidade. Assim, deve-se planear o ou os tipos de transformações que pretendemos que o bloco tenha no plano XY. Esta etapa é fundamental, na medida em que podemos definir o tipo de parâmetros e de acções que a construção do bloco deverá conter, bem como as ligações entre si.

Par?metros Actions

Existem diversas formas de se criar o bloco, (inserir blocos já definidos, copiar geometrias pela área de transferência do windows ou desenha-los normalmente na área gráfica do editor, se bem que este último não proporcione todas as ferramentas de edição).

Para que um bloco seja considerado "dinâmico" deverá incluir pelo menos um parâmetro, cujas designações se apresentam de seguida:

  • Point
  • Base point
  • Linear
  • Polar
  • XY
  • Flip
  • Alignment
  • Rotation
  • Lookup
  • Visibility

Neste tutorial (em video), vamos usar o parâmetro Flip, que permite a inverso (mirror) do bloco entre a esquerda e a direita, cuja execução é  accionada por um clique no Grip. Este parâmetro só poderá ser associado a uma acção do tipo Flip, cujas propriedades são adicionadas (Flipped e Not flipped).

O ficheiro usado como base para este exemplo pode ser descarregado a partir desta hiperligação: Tutorial Bloco Dinâmico

Boa sorte e até breve.

Utilizar scripts

Escrito por Paulo Ferreira. Publicado em Profissional

O utilizador comum do autocad, normalmente não faz uso de uma ferramenta existente no autocad, que dá pelo nome de "Script". Um script pode ajudar a melhorar a produtividade de um desenhador, na medida em que com alguns conhecimentos (não é necessário saber qualquer linguagem de programação) dos comandos que diariamente utiliza, pode elaborar diversos scripts que ajudam nos momentos de repetição de determinadas tarefas.

Tools -> Script

Deixo aqui um exemplo de um script que normalmente uso, e que de certeza será do agrado da maioria dos desenhadores, que têm a mania da "limpeza dos desenhos"

Este script permite a execução de uma vez só dos comandos Audit, Purge e Save. Para adicionar este script a uma toolbar basta que se crie a toolbar e depois se adicione este código ^C^C_script;"C:/<script file location>/<audit_fix_errors.scr>

Começa-se por criar um ficheiro do tipo *.txt onde se colocam por ordem os comandos que queremos que o script execute. Posteriormente altera-se a terminologia do ficheiro, (.txt para .scr) e grava-se.

Para compreender este procedimento basta abrir o script que está incluído neste tutorial.

Abraço,

Paulo Ferreira